VideoLAN VLC Buffer Overflow Subtitle Exploit Update 2

VLC is able to handle the subtitles automatically in a very simple way,it just checks the presence of ssa files with the same name of the loaded video and a possible subtitles folder.The functions which handle the MicroDvd, SSA and Vplayer subtitle formats are vulnerable to some stack based buffer-overflow vulnerabilities which can allow an attacker to execute malicious code. This update adds support for Opera and Mozilla Firefox.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2007-6681
Product Version: 
7.5
Released Date: 
Thursday, January 31, 2008 - 00:00